<template>
  <q-page class="q-pa-md">
    <q-layout view="lHh Lpr lFf">
      <q-page-container>
        <div class="row justify-center q-mt-lg">
          <div class="col-12 col-md-8">
            <q-card>
              <q-card-section>
                <div class="text-h4 text-center">
                  À propos de Gloupbook
                </div>
              </q-card-section>

              <q-card-section>
                <p>
                  Bienvenue sur Gloupbook, votre source d'informations et d'articles fascinants sur l'astronomie et l'espace. Nous sommes passionnés par l'univers et nous souhaitons partager cette passion avec vous.
                </p>
                <p>
                  Notre mission est de rendre l'astronomie accessible à tous, en fournissant des informations de qualité, des images époustouflantes et des articles détaillés sur les derniers développements et découvertes dans le domaine de l'astronomie.
                </p>
                <p>
                  Que vous soyez un amateur d'étoiles, un étudiant en astronomie ou simplement curieux de savoir ce qui se passe dans l'univers, Gloupbook est l'endroit parfait pour vous.
                </p>
                <p>
                  Rejoignez notre communauté et explorez les merveilles de l'univers avec nous!
                </p>
              </q-card-section>

              <q-card-section class="text-center">
                <q-btn color="primary" label="Nous contacter" @click="navigateToContact" />
              </q-card-section>
            </q-card>
          </div>
        </div>
      </q-page-container>
    </q-layout>
  </q-page>
</template>

<script setup lang="ts">
import { useRouter } from 'vue-router';

const router = useRouter();

function navigateToContact() {
  router.push('/contact');
}
</script>

<style lang="scss">
// Styles pour la page À propos
.q-page {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.q-card {
  max-width: 600px;
  margin: 0 auto;
}

.text-h4 {
  font-size: 2rem;
  font-weight: bold;
}

p {
  margin-bottom: 1rem;
}
</style>
